Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 646638 - app-text/texlive-2017 stabilization
Summary: app-text/texlive-2017 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TeX project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 624172 624440 624442 624444 624446 644456 651364
Blocks: poppler-qt4-removal CVE-2017-14975, CVE-2017-14976, CVE-2017-14977 646510
  Show dependency tree
 
Reported: 2018-02-05 07:34 UTC by Jonas Stein
Modified: 2018-12-06 23:09 UTC (History)
1 user (show)

See Also:
Package list:
app-text/texlive-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc app-text/texlive-core-2017-r3 dev-texlive/texlive-basic-2017-r1 dev-texlive/texlive-fontutils-2017 dev-texlive/texlive-fontsrecommended-2017 dev-texlive/texlive-latex-2017 dev-texlive/texlive-latexextra-2017 dev-texlive/texlive-latexrecommended-2017 dev-texlive/texlive-metapost-2017 dev-texlive/texlive-bibtexextra-2017 dev-texlive/texlive-fontsextra-2017 dev-texlive/texlive-xetex-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc dev-texlive/texlive-mathscience-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc dev-texlive/texlive-plaingeneric-2017 dev-texlive/texlive-publishers-2017 dev-texlive/texlive-pstricks-2017 dev-texlive/texlive-pictures-2017 dev-texlive/texlive-music-2017 dev-texlive/texlive-luatex-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc dev-texlive/texlive-langspanish-2017 dev-texlive/texlive-langportuguese-2017 dev-texlive/texlive-langpolish-2017 dev-texlive/texlive-langother-2017 dev-texlive/texlive-langkorean-2017 dev-texlive/texlive-langjapanese-2017 dev-texlive/texlive-langitalian-2017 dev-texlive/texlive-langgreek-2017 dev-texlive/texlive-langgerman-2017 dev-texlive/texlive-langfrench-2017 dev-texlive/texlive-langeuropean-2017 dev-texlive/texlive-langenglish-2017 dev-texlive/texlive-langczechslovak-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc dev-texlive/texlive-langcyrillic-2017 dev-texlive/texlive-langcjk-2017 dev-texlive/texlive-langchinese-2017 dev-texlive/texlive-langarabic-2017 dev-texlive/texlive-humanities-2017 dev-texlive/texlive-games-2017 dev-texlive/texlive-formatsextra-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc dev-texlive/texlive-context-2017 alpha amd64 arm ia64 ppc ppc64 x86 sparc
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Stein gentoo-dev 2018-02-05 07:34:57 UTC
let's start to stabilize 2017
Comment 1 Stabilization helper bot gentoo-dev 2018-02-06 13:02:54 UTC
An automated check of this bug failed - repoman reported dependency errors (125 lines truncated): 

> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['>=app-text/poppler-0.58.0:=']
> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=app-text/poppler-0.58.0:=']
> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: DEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=app-text/poppler-0.58.0:=']
> dependency.bad app-text/texlive/texlive-2017.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['>=dev-texlive/texlive-fontutils-2017', '>=dev-texlive/texlive-basic-2017', '>=dev-texlive/texlive-fontsrecommended-2017', '>=dev-texlive/texlive-latex-2017', '>=dev-texlive/texlive-luatex-2017', '>=dev-texlive/texlive-latexrecommended-2017', '>=dev-texlive/texlive-metapost-2017', '>=dev-texlive/texlive-plaingeneric-2017', '>=dev-texlive/texlive-bibtexextra-2017', '>=dev-texlive/texlive-fontsextra-2017', '>=dev-texlive/texlive-formatsextra-2017', '>=dev-texlive/texlive-latexextra-2017', '>=dev-texlive/texlive-xetex-2017', '>=dev-texlive/texlive-pictures-2017', '>=dev-texlive/texlive-mathscience-2017', '>=dev-texlive/texlive-publishers-2017', '>=dev-texlive/texlive-music-2017', '>=dev-texlive/texlive-pstricks-2017', '>=dev-texlive/texlive-context-2017', '>=dev-texlive/texlive-games-2017', '>=dev-texlive/texlive-humanities-2017', '>=dev-texlive/texlive-langother-2017', '>=dev-texlive/texlive-langarabic-2017', '>=dev-texlive/texlive-langeuropean-2017', '>=dev-texlive/texlive-langcjk-2017', '>=dev-texlive/texlive-langcyrillic-2017', '>=dev-texlive/texlive-langczechslovak-2017', '>=dev-texlive/texlive-langenglish-2017', '>=dev-texlive/texlive-langfrench-2017', '>=dev-texlive/texlive-langgerman-2017', '>=dev-texlive/texlive-langgreek-2017', '>=dev-texlive/texlive-langitalian-2017', '>=dev-texlive/texlive-langjapanese-2017', '>=dev-texlive/texlive-langkorean-2017', '>=dev-texlive/texlive-langpolish-2017', '>=dev-texlive/texlive-langportuguese-2017', '>=dev-texlive/texlive-langspanish-2017', '>=dev-texlive/texlive-langchinese-2017']
> dependency.bad app-text/texlive/texlive-2017.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop) ['>=dev-texlive/texlive-fontutils-2017', '>=dev-texlive/texlive-basic-2017', '>=dev-texlive/texlive-fontsrecommended-2017', '>=dev-texlive/texlive-latex-2017', '>=dev-texlive/texlive-luatex-2017', '>=dev-texlive/texlive-latexrecommended-2017', '>=dev-texlive/texlive-metapost-2017', '>=dev-texlive/texlive-plaingeneric-2017', '>=dev-texlive/texlive-bibtexextra-2017', '>=dev-texlive/texlive-fontsextra-2017', '>=dev-texlive/texlive-formatsextra-2017', '>=dev-texlive/texlive-latexextra-2017', '>=dev-texlive/texlive-xetex-2017', '>=dev-texlive/texlive-pictures-2017', '>=dev-texlive/texlive-mathscience-2017', '>=dev-texlive/texlive-publishers-2017', '>=dev-texlive/texlive-music-2017', '>=dev-texlive/texlive-pstricks-2017', '>=dev-texlive/texlive-context-2017', '>=dev-texlive/texlive-games-2017', '>=dev-texlive/texlive-humanities-2017', '>=dev-texlive/texlive-langother-2017', '>=dev-texlive/texlive-langarabic-2017', '>=dev-texlive/texlive-langeuropean-2017', '>=dev-texlive/texlive-langcjk-2017', '>=dev-texlive/texlive-langcyrillic-2017', '>=dev-texlive/texlive-langczechslovak-2017', '>=dev-texlive/texlive-langenglish-2017', '>=dev-texlive/texlive-langfrench-2017', '>=dev-texlive/texlive-langgerman-2017', '>=dev-texlive/texlive-langgreek-2017', '>=dev-texlive/texlive-langitalian-2017', '>=dev-texlive/texlive-langjapanese-2017', '>=dev-texlive/texlive-langkorean-2017', '>=dev-texlive/texlive-langpolish-2017', '>=dev-texlive/texlive-langportuguese-2017', '>=dev-texlive/texlive-langspanish-2017', '>=dev-texlive/texlive-langchinese-2017']
> dependency.bad app-text/texlive/texlive-2017.ebuild: RDEPEND: alpha(default/linux/alpha/13.0/desktop/gnome) ['>=dev-texlive/texlive-fontutils-2017', '>=dev-texlive/texlive-basic-2017', '>=dev-texlive/texlive-fontsrecommended-2017', '>=dev-texlive/texlive-latex-2017', '>=dev-texlive/texlive-luatex-2017', '>=dev-texlive/texlive-latexrecommended-2017', '>=dev-texlive/texlive-metapost-2017', '>=dev-texlive/texlive-plaingeneric-2017', '>=dev-texlive/texlive-bibtexextra-2017', '>=dev-texlive/texlive-fontsextra-2017', '>=dev-texlive/texlive-formatsextra-2017', '>=dev-texlive/texlive-latexextra-2017', '>=dev-texlive/texlive-xetex-2017', '>=dev-texlive/texlive-pictures-2017', '>=dev-texlive/texlive-mathscience-2017', '>=dev-texlive/texlive-publishers-2017', '>=dev-texlive/texlive-music-2017', '>=dev-texlive/texlive-pstricks-2017', '>=dev-texlive/texlive-context-2017', '>=dev-texlive/texlive-games-2017', '>=dev-texlive/texlive-humanities-2017', '>=dev-texlive/texlive-langother-2017', '>=dev-texlive/texlive-langarabic-2017', '>=dev-texlive/texlive-langeuropean-2017', '>=dev-texlive/texlive-langcjk-2017', '>=dev-texlive/texlive-langcyrillic-2017', '>=dev-texlive/texlive-langczechslovak-2017', '>=dev-texlive/texlive-langenglish-2017', '>=dev-texlive/texlive-langfrench-2017', '>=dev-texlive/texlive-langgerman-2017', '>=dev-texlive/texlive-langgreek-2017', '>=dev-texlive/texlive-langitalian-2017', '>=dev-texlive/texlive-langjapanese-2017', '>=dev-texlive/texlive-langkorean-2017', '>=dev-texlive/texlive-langpolish-2017', '>=dev-texlive/texlive-langportuguese-2017', '>=dev-texlive/texlive-langspanish-2017', '>=dev-texlive/texlive-langchinese-2017']
Comment 2 Stabilization helper bot gentoo-dev 2018-02-06 15:14:07 UTC
An automated check of this bug failed - repoman reported dependency errors (17 lines truncated): 

> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=app-text/ps2pkm-1.8_p20170524']
> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=app-text/ps2pkm-1.8_p20170524']
> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop/gnome) ['>=app-text/ps2pkm-1.8_p20170524']
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-02-06 16:26:23 UTC
x86 stable
Comment 4 Andreas Sturmlechner gentoo-dev 2018-02-07 15:14:26 UTC
May I suggest to abandon bug 644802 stabilisation then in favor of this one.
Comment 5 Sergei Trofimovich gentoo-dev 2018-02-07 21:31:59 UTC
ia64 stable
Comment 6 Jason Zaman gentoo-dev 2018-02-15 09:27:47 UTC
amd64 stable
Comment 7 Christian Tietz 2018-02-15 16:37:45 UTC
app-text/ttf2pk2-2.0_p20170524, the corresponding version for TexLive 2017, is missing on the package list.
Comment 8 Erik Quaeghebeur 2018-02-15 22:43:31 UTC
This conflicts with the current stable biblatex:

---------
 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-texlive/texlive-genericextra-2016:0/0::gentoo, installed) pulled in by
    dev-texlive/texlive-genericextra required by (dev-tex/biblatex-3.4-r1:0/0::gentoo, installed)

  (dev-texlive/texlive-plaingeneric-2017:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-texlive/texlive-plaingeneric-2017 required by (dev-texlive/texlive-pstricks-2017:0/0::gentoo, ebuild scheduled for merge)
    dev-texlive/texlive-plaingeneric required by (sci-mathematics/octave-4.2.1:0/4.2.1::gentoo, installed)
    dev-texlive/texlive-plaingeneric required by (virtual/texi2dvi-0-r1:0/0::gentoo, installed)
---------
Comment 9 Erik Quaeghebeur 2018-02-21 10:51:24 UTC
(In reply to Erik Quaeghebeur from comment #8)
> This conflicts with the current stable biblatex:
Please advise on the proper way to deal with this. I have for now just masked the package list given here, but would like to move to TL2017.
Comment 10 Tobias Klausmann gentoo-dev 2018-03-04 23:05:24 UTC
Stable on alpha.
Comment 11 Stabilization helper bot gentoo-dev 2018-03-05 00:14:19 UTC
An automated check of this bug failed - repoman reported dependency errors (107 lines truncated): 

> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=app-text/poppler-0.58.0:=']
> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=app-text/poppler-0.58.0:=']
> dependency.bad app-text/texlive-core/texlive-core-2017-r3.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['>=app-text/poppler-0.58.0:=']
Comment 12 Stabilization helper bot gentoo-dev 2018-03-06 00:14:16 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 13 Matt Turner gentoo-dev 2018-03-12 07:24:57 UTC
ppc/ppc64 stable
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-03-15 17:19:41 UTC
arm stable
Comment 15 Andreas Sturmlechner gentoo-dev 2018-03-19 18:06:43 UTC
Re-opening for hppa and sparc to be able to cleanup old.
Comment 16 Andreas Sturmlechner gentoo-dev 2018-03-19 18:53:57 UTC
adding arm64 to the list.
Comment 17 Stabilization helper bot gentoo-dev 2018-03-19 19:03:01 UTC
An automated check of this bug failed - repoman reported dependency errors (9 lines truncated): 

> dependency.bad dev-texlive/texlive-xetex/texlive-xetex-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=app-text/texlive-core-2010[xetex]']
> dependency.bad dev-texlive/texlive-xetex/texlive-xetex-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=app-text/texlive-core-2010[xetex]']
> dependency.badindev dev-texlive/texlive-xetex/texlive-xetex-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0/desktop) ['>=app-text/texlive-core-2010[xetex]']
> dependency.bad dev-texlive/texlive-context/texlive-context-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=app-text/texlive-core-2010[xetex]']
> dependency.bad dev-texlive/texlive-context/texlive-context-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=app-text/texlive-core-2010[xetex]']
> dependency.badindev dev-texlive/texlive-context/texlive-context-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0/desktop) ['>=app-text/texlive-core-2010[xetex]']
> dependency.bad dev-texlive/texlive-langczechslovak/texlive-langczechslovak-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=app-text/texlive-core-2014[xetex]']
> dependency.bad dev-texlive/texlive-langczechslovak/texlive-langczechslovak-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=app-text/texlive-core-2014[xetex]']
> dependency.badindev dev-texlive/texlive-langczechslovak/texlive-langczechslovak-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0/desktop) ['>=app-text/texlive-core-2014[xetex]']
Comment 18 Andreas Sturmlechner gentoo-dev 2018-03-19 19:12:10 UTC
Restricting keywords on the affected packages.
Comment 19 Stabilization helper bot gentoo-dev 2018-03-19 20:03:52 UTC
An automated check of this bug failed - repoman reported dependency errors (3 lines truncated): 

> dependency.bad app-text/texlive/texlive-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=dev-texlive/texlive-xetex-2017', '>=dev-texlive/texlive-context-2017', '>=dev-texlive/texlive-langczechslovak-2017']
> dependency.badindev app-text/texlive/texlive-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0/desktop) ['>=dev-texlive/texlive-xetex-2017', '>=dev-texlive/texlive-context-2017', '>=dev-texlive/texlive-langczechslovak-2017']
> dependency.badindev app-text/texlive/texlive-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0/developer) ['>=dev-texlive/texlive-xetex-2017', '>=dev-texlive/texlive-context-2017', '>=dev-texlive/texlive-langczechslovak-2017']
> dependency.bad dev-texlive/texlive-formatsextra/texlive-formatsextra-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['dev-texlive/texlive-xetex']
> dependency.bad dev-texlive/texlive-formatsextra/texlive-formatsextra-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['dev-texlive/texlive-xetex']
> dependency.badindev dev-texlive/texlive-formatsextra/texlive-formatsextra-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0/desktop) ['dev-texlive/texlive-xetex']
Comment 20 Stabilization helper bot gentoo-dev 2018-03-19 21:02:12 UTC
An automated check of this bug failed - repoman reported dependency errors (3 lines truncated): 

> dependency.bad dev-texlive/texlive-pstricks/texlive-pstricks-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0) ['>=dev-texlive/texlive-plaingeneric-2017']
> dependency.bad dev-texlive/texlive-pstricks/texlive-pstricks-2017.ebuild: RDEPEND: hppa(default/linux/hppa/13.0) ['>=dev-texlive/texlive-plaingeneric-2017']
> dependency.badindev dev-texlive/texlive-pstricks/texlive-pstricks-2017.ebuild: DEPEND: hppa(default/linux/hppa/13.0/desktop) ['>=dev-texlive/texlive-plaingeneric-2017']
Comment 21 Stabilization helper bot gentoo-dev 2018-03-19 22:02:11 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 22 Andreas Sturmlechner gentoo-dev 2018-03-20 12:39:16 UTC
blocks poppler security cleanup now rather than depending on it.
Comment 23 Matt Turner gentoo-dev 2018-03-21 06:50:52 UTC
hppa stable
Comment 24 Matt Turner gentoo-dev 2018-03-21 22:15:38 UTC
I'm assuming you left hppa out of

dev-texlive/texlive-luatex
dev-texlive/texlive-mathscience
dev-texlive/texlive-xetex
dev-texlive/texlive-langczechslovak
dev-texlive/texlive-context
dev-texlive/texlive-formatsextra
app-text/texlive

because xetex was package.use.stable.mask'd. I've unmasked it, and stabilized these packages as well so it's not so confusing in the future.
Comment 25 Mart Raudsepp gentoo-dev 2018-04-08 21:33:20 UTC
arm64 stable, bug only what we had stable keywords on before; no newstables as part of a mass stabilization. If something needs to be newstabled, please file an explicit stablereq for that to us (in CC so scripts find it). Also had to mask USE=luajittex due to test failures. We don't have luajit either, so not something I want to worry about until we don't have luajit proper.
Comment 26 Larry the Git Cow gentoo-dev 2018-07-21 12:25:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18292570e0ad1884bd32c20baab0cff3034ecf17

commit 18292570e0ad1884bd32c20baab0cff3034ecf17
Author:     Alexis Ballier <aballier@gentoo.org>
AuthorDate: 2018-07-21 12:06:26 +0000
Commit:     Alexis Ballier <aballier@gentoo.org>
CommitDate: 2018-07-21 12:23:51 +0000

    dev-texlive/texlive-langcjk: mark sparc stable
    
    app-text/texlive 2017 is stable, not sure how this can even work
    
    Bug: https://bugs.gentoo.org/646638
    Package-Manager: Portage-2.3.43, Repoman-2.3.10

 dev-texlive/texlive-langcjk/texlive-langcjk-2017.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 27 Sergei Trofimovich gentoo-dev 2018-12-06 23:09:36 UTC
Package version is not in tree anymore.